I=(S=Uno.Component = function(){
}).prototype;

I.Draw = function(r)
{
};

I.Update = function()
{
};

I.FixedUpdate = function()
{
};

I.SelectionIntersects = function(ray, dist)
{
    if (Uno.Collision.RayIntersectsSphere(ray, Uno.Sphere.$0(this.Transform.AbsolutePosition(), 25.0), dist))
    {
        dist(Uno.Distance.RayPoint(ray, this.Transform.AbsolutePosition()));
        return true;
    }

    return false;
};

I.SelectionContains = function(frustum)
{
    return Uno.Collision.FrustumContainsSphere(frustum, Uno.Sphere.$0(this.Transform.AbsolutePosition(), 25.0)) == 1;
};

I.DrawSelectionCue = function()
{
};

S.$0 = function($this) {
    $this.Transform = Uno.Transform.Identity();
    return $this;
};
